<? 
Serval::call('tpl')->error = false;
if(isset($_POST['save'])){
	
	$row = array(
		'fio'=>$_POST['fio'],
	);
	$res = false;
	if($_FILES['avatar']['size']>0){
		$ext = @end(explode(".",$_FILES['avatar']['name']));
		switch($ext){
			case 'png':
			case 'jpg':
			case 'jpeg':
			case 'gif':
				$pathAvatar = (isset($config['http_dir']) ? $config['http_dir'] : '/').'uploads/avatar/'.Serval::call('Auth')->ID.'_'.time().'.'.$ext;

				if(Serval::call('Auth')->Data['avatar']){
					if(is_file($_SERVER['DOCUMENT_ROOT'].Serval::call('Auth')->Data['avatar'])){
						unlink($_SERVER['DOCUMENT_ROOT'].Serval::call('Auth')->Data['avatar']);
					}
				}
				if(imageResize($_FILES['avatar']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].$pathAvatar,70,70)){
					Serval::call('db')->update("mod_users",array(
						'avatar'=>$pathAvatar
					),"id=".Serval::call('db')->quote( Serval::call('Auth')->ID ) );
					header("location: ".(isset($config['http_dir']) ? $config['http_dir'] : '/')."profile/");
				}else{
					Serval::call('tpl')->error = "Не могу загрузить файл! Проверьте права на запись.";	
				}
			break;
			default:
				Serval::call('tpl')->error = "Можно загрузить только png,jpg,jpeg,gif!";
		}
	}
}
Serval::call('tpl')->PAGE['meta_title'] = "Моя информация";
Serval::call('tpl')->PAGE['name'] = "Моя информация";
Serval::call('tpl')->display("profile");